/*
  James R. Diebel
  Stanford University

  Started: 8 July 2005

  map2msh.cc - Utility to convert a disparity map to a mesh
*/


#include <iostream>
#include "bmtk/mesh.hh"
#include "bmtk/timer.hh"
#include <trimesh/trimesh.h>

using namespace std;
using namespace bmtk;

int main (int argc, char *argv[]) {
  // if bad command line args, give usage instructions and exit
  if (argc < 4) {
    cout << endl
	 << "Usage: map2msh mapfile.bmp params.txt outfile.msh" << endl
	 << "    mapfile.bmp must be a grayscale image file" << endl
	 << "    params.txt must contain camera intrinsics" << endl
	 << "    outfile.msh is the name of the output msh file" << endl;
    exit(1);
  }

  // create empty Mesh and then fill it with data from ply file
  Mesh m;
  m.buildFromMAP(argv[1],argv[2]);

  // output it to the specified file
  m.writeMesh(argv[3]);

  return 0;
}


