/*
  James R. Diebel
  Stanford University

  Started: 30 August 2004
  Last revised: 31 Sugust 2004

  testapp.cc - debug program to test new functionality

  Depends on:
  - Mesh class (mesh.hh)
  -- Vec3d class (vec3d.hh)
  -- Vert class (vert.hh)
  -- Edge class (edge.hh)
  -- Face class (face.hh)
  - Timer class (timer.hh)
*/

#include <iostream>
#include <fstream>
#include "bmtk/mesh.hh"
#include "bmtk/timer.hh"
#include <trimesh/trimesh.h>

using namespace std;
using namespace bmtk;

int main (int argc, char *argv[]) {
  // if bad command line args, give usage instructions and exit
  if (argc > 3) {
    cout << endl
	 << "Usage: testapp usage varies, see code" << endl;
    exit(1);
  }
  // create empty Mesh and then fill it with data from ply file
  Mesh m1,m2;
  m1.readMesh(argv[1]);
  m2.readMesh(argv[2]);

  // transfer vertex positions from m1 to m2
  for (int i=0;i<m1.nv;i++) {
    m2.v[i].x0 = m1.v[i].x;
  }

  // output it to the specified file
  m2.writeMesh(argv[2]);

  return 0;
}
